Page 1 of 3 123 LastLast
Results 1 to 10 of 22

Thread: Does NOT support Windows 2000?

  1. #1
    Junior Member
    Join Date
    May 2011
    Location
    TN
    Posts
    3

    Question Does NOT support Windows 2000?

    Why doesn't Spybot Search & Destroy version 2.0 Beta 1 not work on Windows 2000 I get a error that says "This program requires Windows NT version 5.1.2600 or later." I tried to install it on a fully updated Windows 2000 with Service Pack 4 and with Roll ups [Version 5.00.2195]

    Other very good anti-spyware programs work very well on Windows 2000 such SuperAntiSpyware and MalwareBytes' Anti-Malware. I hope you are not forgetting that there are still a lot of computers that are not running the latest wiz-bang version of Windows, Some computers have to use older OS versions because of special proprietary software that will not run on newer versions of Windows.

  2. #2
    Member of Team Spybot tashi's Avatar
    Join Date
    Oct 2005
    Location
    USA
    Posts
    30,471

    Default

    Hello B Trevathan,

    Please see this post by PepiMK.
    http://forums.spybot.info/showpost.p...27&postcount=7

    Best regards.
    Microsoft MVP Reconnect 2018-
    Windows Insider MVP 2016-2018
    Microsoft Consumer Security MVP 2006-2016

  3. #3
    Junior Member
    Join Date
    May 2011
    Location
    TN
    Posts
    3

    Default

    Quote Originally Posted by PepiMK View Post
    Windows 2000 is another story - it's currently prevented by the installer, which is not a bug, but a security precaution. As part of the NT series, we can fully support Unicode on it, it has a security concept, supports system services. As far as we know, it runs, but it's, well, unsupported currently.
    Thats like saying yes it will fully run on Windows 2000 but we are not going to let anybody install it. I think thats just mean and its also sad, and to think I used to recommend Spybot S&D to everybody.


    Quote Originally Posted by PepiMK View Post
    Whether we patch the runtime environments in question again is a difficult question. Right now, the focus is on stability, performance and detection power, not on supporting those 0,05% (which still makes me feel sad to not be able to support them right now).
    I think the percentage of people using Windows 2000 is far greater than the 0.05% quoted. What was that number based on, the number of Windows 2000 computers that visit this site?

  4. #4
    Senior Member
    Join Date
    Feb 2006
    Posts
    262

    Default

    B Trevathan, Spybot 2.0 beta 1 isn't quite stable enough to use under Win2000. which is why i believe installation is not supported under win2k. there are still several problems found with the current beta release of Spybot S&D 2.0.

    you may want to wait for a more stable release of it; perhaps when Spybot 2.0 reaches either release candidate or final release which should support win2000 by then.

    otherwise, consider using other anti-spyware tools like SUPERAntispyware, Malwarebytes Anti-malware or Lavasoft Ad-aware; the latest versions of these 3 tools still work under Win2000.

  5. #5
    Senior Member
    Join Date
    Feb 2006
    Posts
    262

    Default

    Quote Originally Posted by B Trevathan View Post
    Why doesn't Spybot Search & Destroy version 2.0 Beta 1 not work on Windows 2000 I get a error that says "This program requires Windows NT version 5.1.2600 or later." I tried to install it on a fully updated Windows 2000 with Service Pack 4 and with Roll ups [Version 5.00.2195]
    Spybot 2.0 is still in beta stage, B Trevathan. dont forget that!

    just because Spybot 2.0b1 doesn't support win2k doesn't mean it could stay that way in later beta/RC & final releases.

    look what happened to Mozilla Firefox 4.0, for example. Beta 1 of Firefox 4.0 worked under Win2000 BUT beta 2 didn't (a google search on "firefox 4.0b2 win2000" proves this). Mozilla corrected the problem and released FF 4.0b3 & subsequent betas/RCs and Firefox 4.0 now runs on minimum of win2k.

    so just wait for either the next beta or the final release of Spybot 2.0 to come out and then check if that one installs & works under Win2000.

    bye now, B!
    Last edited by noel-pr7; 2011-05-21 at 00:19.

  6. #6
    Junior Member
    Join Date
    Mar 2006
    Posts
    8

    Default

    Quote Originally Posted by B Trevathan View Post
    I hope you are not forgetting that there are still a lot of computers that are not running the latest wiz-bang version of Windows, Some computers have to use older OS versions because of special proprietary software that will not run on newer versions of Windows.
    Well it is time you cough up the cash as Microsoft has dropped support for 2000 last year and Windows XP is headed that way, either way it is going to cost you a bucket load of money at some point in time to move past an operating system that is over ten years old.

    I think spybot not supporting 2000 can be used by you to put a business case forward to spend the money that is required to bring your organisation into the modern world or pay all of the spybot teams development costs that are associated with supporting 2000.

    If you don't like either option then find a product that does support 2000 and use that and let the spybot team make something that isn't bound by the limitations of a ten year old operating system because your organisation made a bad choice all those years ago and are stuck with it and now you are going to make the whole spybot community suffer by way of makign the spybot team waste their time to fixing your unwillingness to move with the times.

  7. #7
    Junior Member
    Join Date
    Jun 2011
    Posts
    1

    Default another windows 2000 net admin

    Quote Originally Posted by BW~Merlin View Post
    Well it is time you cough up the cash as Microsoft has dropped support for 2000 last year and Windows XP is headed that way, either way it is going to cost you a bucket load of money at some point in time to move past an operating system that is over ten years old.
    times.
    I know you're just being honest and probably have no agenda over this, but really, I don't care if Microsoft wants to get more money to increase their position in the market. Of course they have to push a new OS every couple of years to keep their billion-dollar profits, but I am not worried about them. They're still pretty wealthy.

    I'd rather think about the educational institutions, nonprofit organizations, or the small businesses that struggle to keep on the market, and are still running Windows 2000, because of older machines or because of proprietary software, some of which are tied to even more expensive hardware.

    Windows 2000 is a good operating system and it's still perfectly suitable for a whole lot of works and purposes. Being a simpler version of XP and having most of its inner functionalities, I can't see a reason not to at least try to support it as long as XP lives.

    Whatever decision the SpyBot team takes, I'll respect it, because I know this is voluntary work after all.

    But isn't it a beautiful thing that extra lines of code can even help slow down the increase of computer-related landfills?

    Cheers, everyone.

  8. #8
    Senior Member
    Join Date
    Feb 2006
    Posts
    262

    Default

    Quote Originally Posted by Agent View Post
    I'd rather think about the educational institutions, nonprofit organizations, or the small businesses that struggle to keep on the market, and are still running Windows 2000, because of older machines or because of proprietary software, some of which are tied to even more expensive hardware.

    Windows 2000 is a good operating system and it's still perfectly suitable for a whole lot of works and purposes. Being a simpler version of XP and having most of its inner functionalities, I can't see a reason not to at least try to support it as long as XP lives.

    Whatever decision the SpyBot team takes, I'll respect it, because I know this is voluntary work after all.
    well said, Agent. though the recently released Spybot 2.04 beta 2 still requires XP or higher to install and run. like with beta 1, beta 2 still won't install under Win2000.

    there's always alternatives like Malwarebytes Anti-malware and Lavasoft Ad-aware, which the latest versions of those softwares still support minimum win2k.

  9. #9
    Junior Member robotman5's Avatar
    Join Date
    Jul 2009
    Location
    Canada
    Posts
    4

    Wink

    the latest version of spybot works on Windows 2000 i tried it myself
    (Viruses)

  10. #10
    Senior Member Tom.K's Avatar
    Join Date
    Jul 2006
    Location
    The Universe / Milky Way / Solar System / Earth / Europe / Croatia
    Posts
    735

    Default

    Quote Originally Posted by robotman5 View Post
    the latest version of spybot works on Windows 2000 i tried it myself
    You mean... 1.6.2 or 2.0.4?
    N/A.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •